org.apache.ignite.internal.util

## Class GridCleaner

- java.lang.Object
- - org.apache.ignite.internal.util.GridCleaner

    public class GridCleaner
    extends Object

The facade for Cleaner classes for compatibility between java 8 and 9.

### Constructor Summary

Constructors
Constructor and Description
`GridCleaner()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Object` `create(Object obj, Runnable act)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCleaner

    public GridCleaner()

### Method Detail

#### create

    public static Object create(Object obj,
                                Runnable act)

Parameters:
  `obj` - Object.
  `act` - Action.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019